package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @date 2019/6/6 15:07
 */
public class PhoneRegisterReq extends BaseRequest {

    private static final long serialVersionUID = 1626806454966566407L;

    @ApiModelProperty(name = "phone", value = "phone", required = true)
    @NotBlank
    private String phone;

    @ApiModelProperty(name = "password", value = "password", required = true)
    @NotBlank
    private String password;

    @ApiModelProperty(name = "vcode", value = "vcode", required = true)
    @NotBlank
    private String vcode;


    public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getVcode() {
		return vcode;
	}

	public void setVcode(String vcode) {
		this.vcode = vcode;
	}

	
}
